# Шаблон `404.external.tpl`

Шаблон предназначен для отображения собственного текста <b>HTTP</b> ошибки <b>404: страница не найдена</b> в режиме «Без шаблона» (*настройки* => *настройки системы* => *основные настройки* => *реакция на неизвестный URL*).

## Доступные блоки / переменные

Шаблон не предусматривает вывод каких-либо информационно-текстовых блоков.

Но вы можете использовать следующие языковые переменные:

- `{{ lang['404.title'] }}` - заголовок <b>HTML</b> страницы.
- `{{ lang['404.description'] }}` - отображаемый посетителю текст.

При создании собственного файла <b>404.external.tpl</b> следует также учитывать, что некоторые браузеры могут выводить своё собственное сообщение об ошибке вместо указанного вами варианта.

Чтобы избежать этой проблемы вам необходимо искусственно увеличить размер этого файла. Практика показывает, что для корректного отображения, размер файла должен быть <b>не менее 1100 байт</b>.

## Пример заполнения шаблона по умолчанию

```html
<html>
<head>
	<title>{{ lang['404.title'] }}</title>
</head>
<body>
{{ lang['404.description'] }}
<!--
################################################################################################
################################################################################################
################################################################################################
################################################################################################
###################################### BLANK PAGE PADDING ######################################
################################################################################################
################################################################################################
################################################################################################
################################################################################################

This padding is required to force some browsers (IE/Chrome) to display this custom Error Page


-->
</body>
</html>
```
