# Шаблон `lostpassword.tpl`

Данный шаблон отвечает за генерацию страницы восстановления утерянного пароля.

Следует учитывать, что за набор используемых переменных отвечают плагины авторизации и их настройки, поэтому в этом шаблоне вы не найдёте предопределённого набора переменных с использованием которых можно восстановить пароль.

Для генерации страницы восстановления утраченного пароля используется сразу 3 шаблона:

- `lostpassword.tpl` – Основной шаблон.
- [`lostpassword.entries.tpl`](templates/lostpassword.entries.tpl.md) – шаблон, отвечающий за показ стандартной переменной: *наименование*, *описание*, *поле ввода*.
- [`lostpassword.entry-full.tpl`](templates/lostpassword.entry-full.tpl.md) – шаблон, отвечающий за показ специальной переменной: *текстового описания*.

Шаблон должен содержать форму (тег `<form>`, метод запроса – *POST*), которая позволит вводить данные, необходимые для восстановления пароля.

## Доступные блоки / переменные

### Поля ввода

В форме должны содержаться следующие поля ввода с именами:

- `type` (тип: `hidden`) – поле ввода должно содержать атрибут `value` со значением `send`;
- `vcode` (тип: `text`) – в это поле пользователь будет вводить значение защитного кода безопасности.

### Блоки:

- `flags` – блок переменных-флагов:
    - `hasCaptcha` – содержимое блока отображается, если включена поддержка защитного кода безопасности (*Настройки системы* –> *Безопасность* –> *Код безопасности*).

### Переменные:

- `form_action` – URL формы-обработчика;
- `entries` – используется для вставки списка строк с переменными, необходимыми для восстановления пароля;
- `captcha_source_url` – URL защитного кода безопасности.

### Доступные языковые переменные:

- `{{ lang['lostpassword'] }}` – заголовок блока «Напоминание пароля».
- `{{ lang['send_pass'] }}` – текст «Напомнить пароль!»  для кнопки отправки формы.

## Пример заполнения шаблона

В примере показан минимально набор для полнофункциональной работы:

```html
<form name="lostpassword" action="{{ form_action }}" method="post">
    <input type="hidden" name="type" value="send" />

    {{ entries }}

    {% if flags.hasCaptcha %}
        <img src="{{ captcha_source_url }}" alt="{{ lang['captcha'] }}" />
    {% endif %}

    <input type="submit" value="{{ lang['send_pass'] }}" />
</form>
```
